Subject: Offline Message from Janie Fassett: I was riding Myers pro plus folding elect
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked]
Date: Sun, 28 Aug 2022 00:02:33 -0000

From: Janie Fassett <[email-masked]>
Phone: 5034067706
Location: Tualatin, United States
URL: https://swagtron.com/
Department: SwagTron

I was riding Myers pro plus folding electric bike and all of a sudden it stopped I tried the throttle it would not go but it had full lights to the power button but it seemed to freeze up I could not even pedal the bike, help what happened and how can I fix this issue

----
Zopim
https://www.zopim.com